Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 49b7efafaf85104da14dbd13a5e42b2aced5de46)
+++ sansview/perspectives/fitting/fitpage.py	(revision 55fd10285df3ffb3ae109487fc585a83372ad4a0)
@@ -102,4 +102,5 @@
         self.sizer4.Add(self.xmin,(iy, ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         self.xmin.Bind(wx.EVT_KILL_FOCUS, self._onTextEnter)
+        self.xmin.Bind(wx.EVT_TEXT_ENTER, self._onTextEnter)
         self.xmin.Hide()
         ix += 2
@@ -108,4 +109,5 @@
         self.sizer4.Add(self.xmax,(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         self.xmax.Bind(wx.EVT_KILL_FOCUS, self._onTextEnter)
+        self.xmax.Bind(wx.EVT_TEXT_ENTER, self._onTextEnter)
         self.xmax.Hide()
         #Set chisqr  result into TextCtrl
@@ -448,4 +450,5 @@
             ctl1.SetValue(str (format_number(value)))
             ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+            ctl1.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
             self.sizer2.Add(ctl1, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
             ix += 1
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision 4c530a55bf7d5358395d141e515845c123134810)
+++ sansview/perspectives/fitting/fitting.py	(revision 55fd10285df3ffb3ae109487fc585a83372ad4a0)
@@ -96,5 +96,4 @@
             @return: a list of menu items with call-back function
         """
-        
         self.graph=graph
         for item in graph.plottables:
@@ -416,5 +415,5 @@
             model.name="M"+str(self.index_model)
             self.index_model += 1  
-            self.page_finder[current_pg].set_theory("Fitness")
+            #self.page_finder[current_pg].set_theory("Fitness")
             self.page_finder[current_pg].set_model(model,M_name)
             self.plot_helper(currpage= current_pg,qmin= None,qmax= None)
@@ -449,5 +448,5 @@
             if data!=None:
                 theory = Theory1D(x=[], y=[])
-                theory.name = self.page_finder[page].get_theory()
+                theory.name = model.name
                 theory.group_id = data.group_id
               
@@ -524,5 +523,5 @@
             new_plot.xaxis("\\rm{Q}", 'A^{-1}')
             new_plot.yaxis("\\rm{Intensity} ","cm^{-1}")
-            new_plot.group_id = model.name
+            new_plot.group_id ="Fitness"
          
             wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot, title="Analytical model"))
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 49b7efafaf85104da14dbd13a5e42b2aced5de46)
+++ sansview/perspectives/fitting/modelpage.py	(revision 55fd10285df3ffb3ae109487fc585a83372ad4a0)
@@ -229,4 +229,5 @@
             ctl1.SetValue(str (format_number(value)))
             ctl1.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
+            ctl1.Bind(wx.EVT_TEXT_ENTER, self._onparamEnter)
             self.sizer2.Add(ctl1, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
            
@@ -264,5 +265,4 @@
                      name=str(item[0].GetLabelText())
                      value= float(item[1].GetValue())
-                     print "modelpage: name. value",name , value
                      self.model.setParam(name,value)
                      self.manager.draw_model(self.model)
Index: sansview/perspectives/fitting/simfitpage.py
===================================================================
--- sansview/perspectives/fitting/simfitpage.py	(revision 3b19ac900df88b5cbef968f2497d314a8a59c333)
+++ sansview/perspectives/fitting/simfitpage.py	(revision 55fd10285df3ffb3ae109487fc585a83372ad4a0)
@@ -23,5 +23,6 @@
         self.sizer3 = wx.GridBagSizer(5,5)
         self.sizer1 = wx.GridBagSizer(5,5)
-        self.sizer2 = wx.GridBagSizer(5,5)
+        #self.sizer2 = wx.GridBagSizer(5,5)
+        self.sizer2  = wx.BoxSizer(wx.HORIZONTAL)
         self.vbox  = wx.BoxSizer(wx.VERTICAL)
         self.vbox.Add(self.sizer3)
@@ -38,17 +39,17 @@
                         wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         wx.EVT_CHECKBOX(self, self.cb1.GetId(), self.select_all_model_name)
-        wx.EVT_CHECKBOX(self, self.cb1.GetId(), self.select_all_model_name)
+       
         ix  = 0
         iy  = 1
         text=wx.StaticText(self, -1, 'Constraint')
-        self.sizer2.Add(text,(iy, ix),(1,1),\
-                        wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        self.sizer2.Add(text,0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         ix  = 0
         iy  += 1
         self.ctl2 = wx.TextCtrl(self, -1, style=wx.TE_MULTILINE)
         self.ctl2.Bind(wx.EVT_KILL_FOCUS, self._onTextEnter)
-        self.sizer2.Add(self.ctl2, (iy, ix),(1,1),wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        self.ctl2.Bind(wx.EVT_TEXT_ENTER, self._onTextEnter)
+        self.sizer2.Add(self.ctl2, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         ix +=2
-        self.sizer2.Add(self.btFit,(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        self.sizer2.Add(self.btFit, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         self.params=[]
         self.model_list=[]
@@ -56,5 +57,6 @@
         self.page_finder={}
         iy +=1
-        self.sizer2.Add((20,20),(iy, ix))
+        #self.sizer2.Add((20,20),(iy, ix))
+        self.sizer2.Add((20,20), 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         self.vbox.Layout()
         self.vbox.Fit(self) 
